Skip to main content
POST
/
core.v1.ResourceService
/
ListNativeUserIdentityLinks
cURL
curl -X POST "https://api.joinformal.com/core.v1.ResourceService/ListNativeUserIdentityLinks" \
  -H "X-API-KEY: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "example": "value"
  }'
{
  "links": [
    {
      "id": "<string>",
      "nativeUser": {
        "id": "<string>",
        "resourceId": "<string>",
        "username": "<string>",
        "secret": "<string>",
        "useAsDefault": true,
        "terminationProtection": true,
        "createdAt": "2023-11-07T05:31:56Z",
        "updatedAt": "2023-11-07T05:31:56Z",
        "basic": {
          "username": "<string>",
          "usernameIsEnv": true,
          "password": "<string>",
          "passwordIsEnv": true
        },
        "httpApiKey": {
          "location": "HTTP_API_KEY_LOCATION_HEADER",
          "key": "<string>",
          "value": "<string>"
        },
        "httpBasic": {
          "header": "<string>",
          "username": "<string>",
          "password": "<string>"
        },
        "httpBearer": {
          "header": "<string>",
          "token": "<string>"
        },
        "iam": {
          "type": "IAM_NATIVE_USER_TYPE_AWS",
          "role": "<string>",
          "username": "<string>"
        },
        "kubernetes": {
          "kubeconfigEnv": "<string>"
        },
        "rdp": {
          "username": "<string>",
          "password": "<string>",
          "domain": "<string>"
        },
        "snowflakeKey": {
          "username": "<string>",
          "key": "<string>"
        },
        "sshKey": {
          "username": "<string>",
          "key": "<string>"
        }
      },
      "terminationProtection": true,
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "group": {
        "id": "<string>",
        "name": "<string>",
        "description": "<string>",
        "dsyncGroupId": "<string>",
        "terminationProtection": true,
        "createdAt": "2023-11-07T05:31:56Z",
        "updatedAt": "2023-11-07T05:31:56Z"
      },
      "resourceHostname": {
        "id": "<string>",
        "name": "<string>",
        "hostname": "<string>",
        "resource": {
          "id": "<string>",
          "name": "<string>",
          "technology": "ssh",
          "hostname": "<string>",
          "port": 123,
          "environment": "<string>",
          "terminationProtection": true,
          "spaceId": "<string>",
          "space": {
            "id": "<string>",
            "name": "<string>",
            "description": "<string>",
            "terminationProtection": true,
            "createdAt": "2023-11-07T05:31:56Z",
            "updatedAt": "2023-11-07T05:31:56Z"
          },
          "createdAt": "2023-11-07T05:31:56Z",
          "updatedAt": "2023-11-07T05:31:56Z",
          "provider": "",
          "tags": [
            {
              "key": "<string>",
              "value": "<string>"
            }
          ]
        },
        "terminationProtection": true,
        "createdAt": "2023-11-07T05:31:56Z",
        "updatedAt": "2023-11-07T05:31:56Z"
      },
      "user": {
        "id": "<string>",
        "dbUsername": "<string>",
        "type": "machine",
        "terminationProtection": true,
        "expireAt": "2023-11-07T05:31:56Z",
        "createdAt": "2023-11-07T05:31:56Z",
        "updatedAt": "2023-11-07T05:31:56Z",
        "groupIds": [
          "<string>"
        ],
        "human": {
          "firstName": "<string>",
          "lastName": "<string>",
          "email": "jsmith@example.com"
        },
        "machine": {
          "name": "<string>"
        }
      }
    }
  ],
  "listMetadata": {
    "after": "<string>",
    "before": "<string>",
    "count": 123,
    "nextCursor": "<string>"
  }
}

Authorizations

X-API-KEY
string
header
required

API key authentication. Get your API key from the Formal console.

Body

application/json
limit
integer<int32>
Required range: x <= 500
cursor
string
order
string
nativeUserId
string
identityType
string

Response

Success

listMetadata
list_metadata · object